Subject: Re: bug#27282: Perl 5.26.0 "dotless @INC" [was Re: bug#27227: [PATCH] gnu: perl: Update to 5.26.0.]

From: Leo Famulari <[email-masked]>
Date: Wed, 14 Jun 2017 10:30:02 -0400

On Wed, Jun 14, 2017 at 09:38:12AM +0200, Ludovic Courtès wrote:
> Leo Famulari <[email-masked]> skribis:
> 
> > On Sun, Jun 11, 2017 at 10:48:02PM -0400, Leo Famulari wrote:
> >> I filed a bug report:
> >> 
> >> https://github.com/swig/swig/issues/997
> >> 
> >> In the meantime, setting PERL_USE_UNSAFE_INC will give us what we had
> >> before, which is a SWIG that looks for modules in the current working
> >> directory.
> >
> > The upstream fix has basically the same effect:
> >
> > https://github.com/swig/swig/commit/8855ef2b482c09da9255079b0fac92d08c8308fb
> >
> > To avoid adding another patch, I'll push the change to set
> > PERL_USE_UNSAFE_INC to core-updates soon unless there is an objection.
> 
> Sounds good to me.  Thanks for taking care of it!

Alright, pushed as 503c8c5882550005a7e9d3058a5f6d22f9c33f63. I'll keep
this bug open for a while to document further instances of this problem.